
/* GravityWars 1.1, SDL wrapper (C) 2003 Sam Hocevar <sam@zoy.org> */

#define TEXT 0
#define G640x480x256 1
#define MOUSE_MICROSOFT 0
#define MOUSE_DEFAULTSAMPLERATE 0
#define SCANCODE_ESCAPE 0

#define BYTESPERPIXEL 1
#define BITSPERPIXEL 8
#define VBUF 0

#define SCANCODE_ESCAPE 0
#define SCANCODE_LEFTCONTROL 1
#define SCANCODE_RIGHTCONTROL 2
#define SCANCODE_CURSORBLOCKLEFT 3
#define SCANCODE_CURSORBLOCKRIGHT 4
#define SCANCODE_CURSORBLOCKUP 5

typedef void vga_modeinfo;

int vga_init(void);
int vga_setmode(int mode);
void vga_setsplitline(int sl);
int vga_claimvideomemory(int m);
unsigned char *vga_getgraphmem(void);
void vga_setpage(int page);
void gl_setpalette(void *sp);
int gl_setcontextvga(int mode);
void  gl_setcontextvirtual(int  w,  int  h,  int  bpp, int bitspp, void *vbuf);
void *gl_setdisplaystart(int x, int y);
void gl_setpalettecolor(int c, int r, int g, int b);
int mouse_init(char *dev, int type, int samplerate);
int mouse_update(void);
int mouse_getbutton(void);
void mouse_close(void);
int keyboard_init(void);
void keyboard_close(void);
char *keyboard_getstate(void);
int keyboard_update(void);
